> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a YearMakeModel



## OpenAPI

````yaml Commerce get /yearmakemodels/{make}/{model}/{year}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /yearmakemodels/{make}/{model}/{year}:
    parameters:
      - schema:
          type: string
        name: make
        in: path
        required: true
        description: YearMakeModel is uniquely identified by MakeModel
      - schema:
          type: string
        name: model
        in: path
        required: true
        description: YearMakeModel is uniquely identified by MakeModel
      - schema:
          type: integer
        name: year
        in: path
        required: true
        description: YearMakeModel is uniquely identified by Year
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    get:
      summary: Retrieve a YearMakeModel
      operationId: get-yearmakemodel
      responses:
        '200':
          description: YearMakeModel Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/YearMakeModel'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: YearMakeModel Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: YearMakeModel Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    YearMakeModel:
      $id: YearMakeModel
      title: YearMakeModel
      type: object
      description: MakeModel was manufactured for Year
      examples:
        - year: 2022
          makeModel:
            make: Toyota
            model: Camry
      properties:
        makeModel:
          oneOf:
            - type: object
              properties:
                make:
                  type: string
                model:
                  type: string
              required:
                - make
                - model
            - $ref: '#/components/schemas/MakeModel'
          description: YearMakeModel is uniquely identified by MakeModel
        year:
          type: integer
          description: YearMakeModel is uniquely identified by Year
      required:
        - makeModel
        - year
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean
    MakeModel:
      $id: MakeModel
      title: MakeModel
      type: object
      description: Make manufactured Model
      examples:
        - make: Toyota
          model: Camry
      properties:
        make:
          type: string
          description: MakeModel is uniquely identified by Make
        model:
          type: string
          description: MakeModel is uniquely identified by Model
      required:
        - make
        - model

````